import { FileMetadataGetter, FileMetadataSetter, LocalFileResolver } from "upload-plugin-sdk";
import { Params } from "./params/Params";
import { EstimationResult } from "./model/EstimationResult";
import { FileDownloader } from "upload-plugin-sdk/dist/types/transform/FileDownloader";
import { PipelineLintingService } from "./services/PipelineLintingService";
import { PipelineMergingService } from "./services/PipelineMergingService";
import { DownloadService } from "./services/DownloadService";
import { PipelineExecutionService } from "./services/PipelineExecutionService";
import { EagerWorkService } from "./services/EagerWorkService";
export declare class Transformer {
    private readonly pipelineLintingService;
    private readonly pipelineMergingService;
    private readonly pipelineExecutionService;
    private readonly downloadService;
    private readonly eagerWorkService;
    constructor(pipelineLintingService: PipelineLintingService, pipelineMergingService: PipelineMergingService, pipelineExecutionService: PipelineExecutionService, downloadService: DownloadService, eagerWorkService: EagerWorkService);
    estimate(params: Params, resolvePath: LocalFileResolver, download: FileDownloader, getMetadata: FileMetadataGetter): Promise<EstimationResult>;
    run(resolvePath: LocalFileResolver, setMetadata: FileMetadataSetter, { input, eagerWork }: EstimationResult): Promise<void>;
    private getInputImage;
    private getPipeline;
    private transformImage;
    private inferOutputFormat;
    /**
     * Delete temp files, else they will be uploaded as artifacts of the transformation.
     */
    private deleteTemporaryFiles;
    private setContentType;
}
