import { BoxEdges } from "../model/BoxEdges";
import { ExtendStep, LayerBaseStep } from "../params/ImagePipelineStep";
import { StrictPartial } from "../common/TypeUtils";
export interface PaddingDefinition extends StrictPartial<BoxEdges> {
    all: number | undefined;
    x: number | undefined;
    y: number | undefined;
}
export declare namespace PaddingDefinition {
    function fromLayerStep({ padding, paddingY, paddingX, paddingBottom, paddingLeft, paddingRight, paddingTop }: LayerBaseStep): PaddingDefinition;
    function fromExtendStep({ extend, extendY, extendX, extendBottom, extendTop, extendLeft, extendRight }: ExtendStep): PaddingDefinition;
    function getPadding({ all, y, x, bottom, top, left, right }: PaddingDefinition): BoxEdges;
}
