import { ImagePipelineStepType } from "../params/ImagePipelineStep";
import { ScalarMergeBehaviour } from "../params/ScalarMergeBehaviour";
export interface ImagePipelineMergeBehaviour {
    compression: ScalarMergeBehaviour;
    outputFormat: ScalarMergeBehaviour;
    outputQuality: ScalarMergeBehaviour;
    steps: {
        mergeBehaviour: "master";
    } | {
        fileWhitelist: ImagePipelineStepType[];
        mergeBehaviour: "file" | {
            removeDuplicates: false | "end" | "start";
            startWith: "master" | "file";
        };
    };
}
export declare namespace ImagePipelineMergeBehaviour {
    /**
     * The default merge behaviour (i.e. if none is specified in the transformation) is to allow the user to define crops,
     * but nothing else.
     */
    const defaultValue: ImagePipelineMergeBehaviour;
}
