export declare type LayerGravityMode = LayerGravityModeString | LayerGravityModeObject;
export declare type LayerGravityModeString = "top" | "top-left" | "top-right" | "bottom" | "bottom-left" | "bottom-right" | "left" | "right" | "center";
export declare type LayerGravityModeObject = {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the top-center of the image.
     */
    type: "top";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the top-left corner of the image.
     */
    type: "top-left";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the top-right corner of the image.
     */
    type: "top-right";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the bottom-center of the image.
     */
    type: "bottom";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the bottom-left corner of the image.
     */
    type: "bottom-left";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the bottom-right corner of the image.
     */
    type: "bottom-right";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the left-center of the image.
     */
    type: "left";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the right-center of the image.
     */
    type: "right";
} | {
    /**
     * Layer X & Y (Auto)
     *
     * @description
     * Query Param: gravity
     *
     * Automatically positions the layer to the center of the image.
     */
    type: "center";
};
export declare namespace LayerGravityMode {
    function toString(format: LayerGravityMode): LayerGravityModeString;
}
