export interface PageRange {
    /**
     * Page
     *
     * @description
     * Query Param: page
     *
     * The page to extract from the multi-page input file (PDF, GIF, TIFF).
     *
     * Number is zero-based.
     *
     * @isInt
     * @minimum 0
     * @default 0
     * @examples [0]
     */
    page: number | undefined;
    /**
     * Page Count
     *
     * @description
     * Query Param: page-count
     *
     * The number of pages to extract from the multi-page input file (PDF, GIF, TIFF).
     *
     * You may specify `-1` to extract all pages.
     *
     * @isInt
     * @minimum -1
     * @default 1
     * @examples [1]
     */
    pageCount: number | undefined;
}
export declare namespace PageRange {
    const defaultValue: PageRange;
}
