import { LayerImageStep } from "../params/ImagePipelineStep";
import { DownloadRequest } from "upload-plugin-sdk/dist/types/transform/DownloadRequest";
import { DownloadResponse, LocalFileResolver } from "upload-plugin-sdk";
import { ImagePipeline } from "../params/ImagePipeline";
import { DownloadedFileMap } from "../model/DownloadedFileMap";
export declare class DownloadService {
    /**
     * Key is the file ID or file URL used by the transformation steps.
     * Files will be deleted after the transformation runs.
     */
    makeDownloadRequestsForPipeline(pipeline: ImagePipeline, resolvePath: LocalFileResolver): Record<string, DownloadRequest>;
    prepareTempDirForDownloadRequests(downloadRequests: Record<string, DownloadRequest>): Promise<void>;
    attachDownloadRequestsToResponses(requests: Record<string, DownloadRequest>, responses: Record<string, DownloadResponse>): Record<string, {
        request: DownloadRequest;
        response: DownloadResponse;
    }>;
    makeLocalFileNameForLayerFileSource(step: Omit<LayerImageStep, "type">): string;
    /**
     * Makes a file name from a string, ensuring the returned result contains no "/".
     */
    makeLocalFileName(unsafeValue: string): string;
    getTempDownloadedFile(tempDownloadedFiles: DownloadedFileMap, safeDownloadKey: string): string;
}
