import { EagerWork } from "../model/EagerWork";
import { TransformationInput } from "../model/TransformationInput";
import { DownloadService } from "../services/DownloadService";
import { FontCachingService } from "../services/FontCachingService";
export declare class EagerWorkService {
    private readonly downloadService;
    private readonly fontCachingService;
    constructor(downloadService: DownloadService, fontCachingService: FontCachingService);
    /**
     * Starts async work & prepares each promise for potential abandonment.
     *
     * IMPORTANT: this step is done during the estimation phase, so this work may never be used (if the platform deems the image is too large).
     */
    beginEagerWork(input: TransformationInput): EagerWork;
    private getFontFamilies;
    private installCustomFont;
    private getFontFileLocalPath;
    private getFontType;
}
