export declare class MathService {
    integerRange(min: number, max: number, factor: number): number;
    /**
     * @param percentage From 1 to 100.
     */
    percentageToGaussianSigma(percentage: number, max: number): number;
    /**
     * Converts a value on an absolute range to a value on a relative range:
     * - If the input value is  < 0, then the value is converted to a range 0..1
     * - If the input value is >= 0, then the value is converted to a range 1..X
     * Example:
     * - Given Ranges: -100...0...100  |  0.1...1...10
     * - F(-100)       = 0.1
     * - F(0)          = 1
     * - F(100)        = 10
     */
    toRelativeValue(absoluteValue: number, absoluteRange: {
        max: number;
        min: number;
    }, relativeRange: {
        max: number;
        min: number;
    }): number;
    private selectOnRange;
}
