import { TransformationInput } from "../model/TransformationInput";
import { ImagePipelineStep } from "../params/ImagePipelineStep";
import { Sharp, SharpOptions } from "sharp";
import { MathService } from "../services/MathService";
import { LayerService } from "../services/LayerService";
import { SupportedOutputFormatObject } from "../params/SupportedOutputFormat";
import { EagerWork } from "../model/EagerWork";
import { PageRange } from "../params/PageRange";
export declare class PipelineExecutionService {
    private readonly layerService;
    private readonly mathService;
    private readonly globalSharpOptions;
    constructor(layerService: LayerService, mathService: MathService, globalSharpOptions: SharpOptions);
    executePipeline(input: TransformationInput, steps: ImagePipelineStep[], outputFormat: SupportedOutputFormatObject, pages: PageRange, eagerWork: EagerWork): Promise<Sharp>;
    private executeStep;
    private setQuality;
    private getCropOptions;
    private getResizeOptions;
    private getCropPosition;
}
